/*
 * @Author: zc
 * @description 辅助功能-知识库词库
 */
import request from '/@/utils/request';
/**
 * @description 知识库词库基础信息
 */
export const orderKnowledgeBaseData = () => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word/base`,
        method: 'get'
    });
};
/**
 * @description 知识库词库列表
 * @param {object} params
 */
export const knowledgeLexiconList = (params: object) => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word/list`,
        method: 'get',
        params,
    });
};
/**
 * @description 知识库词库新增
 * @param {object} data
 */
export const knowledgeLexiconAdd = (data: object) => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word`,
        method: 'post',
        data,
    });
};
/**
 * @description 知识库词库删除
 * @param {object} data
 */
export const knowledgeLexiconDelete = (data: object) => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word`,
        method: 'delete',
        data,
    });
};
/**
 * @description 知识库词库编辑
 * @param {object} data
 */
export const knowledgeLexiconUpdate = (data: object) => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word`,
        method: 'put',
        data,
    });
};
/**
 * @description 知识库词库详情
 * @param {string} id
 */
export const knowledgeLexiconDetail = (id: string) => {
    return request({
        url: `/api/v1/Knowledge/knowledge_word/${id}`,
        method: 'get'
    });
};