/*
 * @Author: zc
 * @description 质检管理-词库管理
 * @version:
 * @Date: 2022-08-09 16:19:55
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2022-11-16 14:49:01
 */
import request from '/@/utils/request';
/**
 * @description 违禁词基础信息
 */
export const lexiconBaseData = () => {
    return request({
        url: `/api/v1/Quality/prohibited_base`,
        method: 'get'
    });
};
/**
 * @description 违禁词列表
 * @param {object}  params
 */
export const lexiconList = (params: object) => {
    return request({
        url: `/api/v1/Quality/prohibited/list`,
        method: 'get',
        params,
    });
};
/**
 * @description 违禁词实体
 * @param {string} id
 */
export const lexiconDetail = (id: string) => {
    return request({
        url: `/api/v1/Quality/prohibited/${id}`,
        method: 'get'
    });
};
/**
 * @description 新增违禁词
 * @param {object} data
 */
export const lexiconAdd = (data: object) => {
    return request({
        url: `/api/v1/Quality/prohibited`,
        method: 'post',
        data
    });
};
/**
 * @description 修改违禁词
 * @param {object} data
 */
export const lexiconUpdate = (data: object) => {
    return request({
        url: `/api/v1/Quality/prohibited`,
        method: 'put',
        data
    });
};
/**
 * @description 新增违禁词
 * @param {object} data
 */
export const lexiconDelete = (data: object) => {
    return request({
        url: `/api/v1/Quality/prohibitedBatch`,
        method: 'delete',
        data
    });
};